<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>定时器</title>
	<script type="text/javascript">
	</script>
</head>
<body>
    <script type="text/javascript">
        for(var i=0;i<5;i++){
            (function(){
                var n = i;
                setTimeout(function(){
                    console.log('delayer:' + n );
                }, 0);
            })();
            console.log(i);
        }

	</script>
</body>
</html>